XAMPP 7.2.0 mit PHP 7.2 löuft. Brauche aber auch PHP 5.x

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

XAMPP 7.2.0 mit PHP 7.2 löuft. Brauche aber auch PHP 5.x

Postby Karsten Meyer » 22. October 2018 19:26

Guten Tag zusammen. Ich muss mich als Noob outen. Habe auf D:\XAMPP eine Version 7.2.0 laufen mit PHP 7.2. Alles ok.

Nun habe ich aber die Installation eines älteren CMS da, das mit dieser neuen PHP-Version nicht läuft. Sie braucht Version 5.6 o.ä.

Von einem älteren Rechner her habe ich noch die komplette XAMPP-Installation im Ordner D:\XAMPP-2013. Die lief auf dem alten Rechner, den es nicht mehr gibt, aber auf dem aktuellen startet sie nicht - auch nach Ausführen von setup_xampp.bat.

Was schlagt Ihr mir vor, zu einem PHP 5.6 zu kommen, möglichst alternativ zur 7.2?

Vielen Dank für Eure Hilfe
Karsten
Karsten Meyer
 
Posts: 2
Joined: 22. October 2018 19:19
XAMPP version: 7.2.0
Operating System: Windows 10

Re: XAMPP 7.2.0 mit PHP 7.2 löuft. Brauche aber auch PHP 5.x

Postby Altrea » 22. October 2018 23:03

Hallo Karsten,

Nun zuerst einmal ist deine este chance die alte XAMPP version zum Laufen zu bekommen.
Da wir keinerlei Information dazu haben was genau nicht startet und welche Logausgaben es gibt ist es schwer dir zu helfen.

Fangen wir mal damit an, dass du uns mitteilst was das control panel log und Apache error.log der alten XAMPP INstallation enthält.

mit freudlichen Grüßen,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 9733
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: XAMPP 7.2.0 mit PHP 7.2 löuft. Brauche aber auch PHP 5.x

Postby Karsten Meyer » 23. October 2018 18:38

Danke für deine Rückmeldung, Altrea.

Es ist mir peinlich, aber eben ließ sich das alte XAMPP starten - über xampp_start.exe. Es kamen zwei Meldungen der Windows-Firewall, die ich abnickte, jetzt läuft es.

Damit ergibt sich ein ganz anderes Problem, und ich weiß nicht, ob es nicht besser wäre, dafür einen neuen Thread aufzumachen. Ich formulier's jetzt einfach mal hier:

Aus Windows-Sicht gibt es jetzt hier zwei Installationen, daher auch:
A) D:\XAMPP-2013\htdocs und
B) D:\XAMPP\htdocs

Wäre es denkbar, dass die Installation A) auf den Ordner htdocs von B) zugreift? Mein Ziel ist, ein CMS mal mit PHP 5 und mal mit PHP 7 zu testen.

Vielen Dank für eure Hilfe
Karsten
Karsten Meyer
 
Posts: 2
Joined: 22. October 2018 19:19
XAMPP version: 7.2.0
Operating System: Windows 10


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 11 guests